import { Lexer } from "./Lexer.ts";

const text = `
    a1 123 +
    // comment
    "hello"
    "escaped\\"\\nnewline"
`;

const lexer = new Lexer(text);
let token = lexer.next();
while (token !== null) {
    const value = token.identValue ?? token.intValue ?? token.stringValue ?? "";
    console.log(`Lexed ${token}(${value})`);
    token = lexer.next();
}
